package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 轮播图
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_banner")
public class ShopBanner {
    /**
     * 轮播图ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 图片/视频
     */
    @TableField(value = "url")
    private String url;

    /**
     * 判断图片/视频,默认0,0图片,1视频
     */
    @TableField(value = "url_type")
    private Integer urlType;

    /**
     * 描述
     */
    @TableField(value = "content")
    private String content;

    /**
     * 链接地址
     */
    @TableField(value = "link_url")
    private String linkUrl;

    /**
     * 权重排序
     */
    @TableField(value = "sort_order")
    private Integer sortOrder;

    /**
     * 起始时间
     */
    @TableField(value = "start_time")
    private Date startTime;

    /**
     * 截至时间
     */
    @TableField(value = "end_time")
    private Date endTime;

    /**
     * 默认图片,默认0 0非默认 1默认
     */
    @TableField(value = "`default`")
    private Integer default;

    /**
     * 模块 1首页 
     */
    @TableField(value = "`mode`")
    private Integer mode;

    /**
     * 是否启用 0 是 1否
     */
    @TableField(value = "`enable`")
    private Integer enable;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}